package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemReportInfo;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 报告信息表 服务类
 * </p>
 *
 * @author han
 * @since 2023-03-02
 */
public interface DemReportInfoService extends CrudService<DemReportInfo> {
    /**
     * 单位管理-单位列表查询
     *
     * @param companyId  单位名称
     * @param pageNum      当前页
     * @param pageSize     每页条数
     * @return
     */
    CommonPage<Object> reportInfoList(String companyId, Integer pageNum, Integer pageSize);
}
